### Method

# Foundry GitCommitBuilder set_author_email

since: 1.1

#### Declaration [src]

    void
    foundry_git_commit_builder_set_author_email (
      FoundryGitCommitBuilder* self,
      const char* author_email
    )

#### Description [src]

Sets the author email address that will be used for the commit.

If set to `NULL` or not set, the value from git config “user.email” will be used when creating the commit.

Available since: 1.1

Sets property | `Foundry.GitCommitBuilder:author-email`

#### Parameters

`author_email`

  Type: `const char*`

  The author email to use, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.